List daemons
Returns all daemons accessible to the user.
Supports pagination via limit and offset query parameters,
and ordering via group_by, order_by, and order_direction.
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Query Parameters
Filter by site ID. Repeat the parameter to pass several.
Only daemons in one of these statuses. Repeat for several.
Only daemons installed on one of these operating systems. Repeat for several.
Only daemons that connect one of these ways. Repeat for several.
Only daemons maintained by one of these users. Repeat for several.
Only daemons running one of these versions. Repeat for several.
Only daemons with an interface on one of these subnets. Repeat for several.
Filter by tag IDs (returns daemons that have ANY of the specified tags)
Tag sets the daemon must hold one tag from each of. Each entry is a comma-separated list of tag ids. One entry per tag group the list is filtered by.
Free-text search. Case-insensitive substring match against the name and url.
Primary ordering field (used for grouping). Always sorts ASC to keep groups together.
Secondary ordering field (sorting within groups or standalone sort).
Group by the tag each row holds from this tag group. Takes the place of group_by.
Sort by the position of the tag each row holds from this tag group. Takes the place of
order_by.
Direction for order_by field (group_by always uses ASC).
Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.
Number of results to skip. Default: 0.
Response Body
application/json
curl -X GET "https://example.com/api/v1/daemons"{
"data": [
{
"host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
"mode": "server_poll",
"name": "string",
"os": "linux",
"site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
"tags": [
"a424dc99-d215-4281-ad2d-a3a9bc179925"
],
"url": "https://daemon.example.com:60073",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"api_key_id": "b0dd218e-3bcf-4bdb-a1e3-0689d60a8afd",
"is_unreachable": true,
"last_seen": "2019-08-24T14:15:22Z",
"standby": true,
"standby_cleared_at": "2019-08-24T14:15:22Z",
"version": "0.17.7",
"created_at": "2019-08-24T14:15:22Z",
"health": "unsupported",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"interfaced_subnet_ids": [
"c160b63e-4109-4659-9169-fdbff6fc96f8"
],
"updated_at": "2019-08-24T14:15:22Z",
"version_status": {
"status": "Current",
"persists_docker_config": true,
"sunset_date": "string",
"supports_os_reporting": true,
"supports_targeted_rescan": true,
"supports_unified_discovery": true,
"version": "string",
"warnings": [
{
"message": "string",
"severity": "Info",
"sunset_date": "string"
}
]
}
}
],
"meta": {
"api_version": 1,
"pagination": {
"has_more": true,
"limit": 50,
"offset": 0,
"total_count": 142
},
"server_version": "0.19.6"
},
"success": true,
"error": "string"
}Product names and logos are trademarks of their respective owners. See credits.